org.codehaus.plexus.compiler

## Class CompilerOutputStyle

- java.lang.Object
- - org.codehaus.plexus.compiler.CompilerOutputStyle

-     public final class CompilerOutputStyle
      extends Object

  Author:
    Trygve Laugstøl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CompilerOutputStyle` | `ONE_OUTPUT_FILE_FOR_ALL_INPUT_FILES`
    `static CompilerOutputStyle` | `ONE_OUTPUT_FILE_PER_INPUT_FILE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ONE_OUTPUT_FILE_PER_INPUT_FILE

          public static final CompilerOutputStyle ONE_OUTPUT_FILE_PER_INPUT_FILE

    - #### ONE_OUTPUT_FILE_FOR_ALL_INPUT_FILES

          public static final CompilerOutputStyle ONE_OUTPUT_FILE_FOR_ALL_INPUT_FILES

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015. All rights reserved.